### File

`packages/components/externals/charts/model/apex-types.ts`

### Description

Chart Legend configuration options. See https://apexcharts.com/docs/options/legend/

### Index

###### Properties
Optional customLegendItems Optional floating Optional fontFamily Optional fontSize Optional fontWeight Optional height Optional horizontalAlign Optional inverseOrder Optional itemMargin Optional labels Optional markers Optional offsetX Optional offsetY Optional onItemClick Optional onItemHover Optional position Optional show Optional showForNullSeries Optional showForSingleSeries Optional showForZeroSeries Optional width
###### Methods
Optional formatter Optional tooltipHoverFormatter

### Methods

Optional formatter
`formatter(legendName: string, opts?: any)`
Parameters :
Name | Type | Optional
legendName | `string` | No
opts | `any` | Yes
Returns : `string`

Optional tooltipHoverFormatter
`tooltipHoverFormatter(legendName: string, opts?: any)`
Parameters :
Name | Type | Optional
legendName | `string` | No
opts | `any` | Yes
Returns : `string`

### Properties

customLegendItems
`customLegendItems: `string[]``
Type : `string[]`
Optional

floating
`floating: `boolean``
Type : `boolean`
Optional

fontFamily
`fontFamily: `string``
Type : `string`
Optional

fontSize
`fontSize: `string``
Type : `string`
Optional

fontWeight
`fontWeight: `string | number``
Type : `string | number`
Optional

height
`height: `number``
Type : `number`
Optional

horizontalAlign
`horizontalAlign: `"left" | "center" | "right"``
Type : `"left" | "center" | "right"`
Optional

inverseOrder
`inverseOrder: `boolean``
Type : `boolean`
Optional

itemMargin
`itemMargin: `literal type``
Type : `literal type`
Optional

labels
`labels: `literal type``
Type : `literal type`
Optional

markers
`markers: `literal type``
Type : `literal type`
Optional

offsetX
`offsetX: `number``
Type : `number`
Optional

offsetY
`offsetY: `number``
Type : `number`
Optional

onItemClick
`onItemClick: `literal type``
Type : `literal type`
Optional

onItemHover
`onItemHover: `literal type``
Type : `literal type`
Optional

position
`position: `"top" | "right" | "bottom" | "left"``
Type : `"top" | "right" | "bottom" | "left"`
Optional

show
`show: `boolean``
Type : `boolean`
Optional

showForNullSeries
`showForNullSeries: `boolean``
Type : `boolean`
Optional

showForSingleSeries
`showForSingleSeries: `boolean``
Type : `boolean`
Optional

showForZeroSeries
`showForZeroSeries: `boolean``
Type : `boolean`
Optional

width
`width: `number``
Type : `number`
Optional

# results matching ""

# No results matching ""